Index: /branches/version-2_12-multilang/data/class/SC_CheckError.php
===================================================================
--- /branches/version-2_12-multilang/data/class/SC_CheckError.php	(revision 22437)
+++ /branches/version-2_12-multilang/data/class/SC_CheckError.php	(revision 22453)
@@ -71,5 +71,5 @@
         $html_diff_tag_list = implode(', ', $arrDiffTag);
 
-        $this->arrErr[$value[1]] = t('SC_CheckError_001', array('%s1' => $value[0], '%s2' => $html_diff_tag_list));
+        $this->arrErr[$value[1]] = t('SC_CheckError_001', array('T_ARG1' => $value[0], 'T_ARG2' => $html_diff_tag_list));
     }
 
@@ -87,7 +87,7 @@
         $this->createParam($value);
         if (!is_array($this->arrParam[$value[1]]) && strlen($this->arrParam[$value[1]]) == 0) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_002', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_002', array('T_ARG1' => $value[0]));
         } else if (is_array($this->arrParam[$value[1]]) && count($this->arrParam[$value[1]]) == 0) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_003', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_003', array('T_ARG1' => $value[0]));
         }
     }
@@ -106,5 +106,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[0]]) == 0) {
-            $this->arrErr[$value[0]] = t('SC_CheckError_004', array('%s1' => $value[1]));
+            $this->arrErr[$value[0]] = t('SC_CheckError_004', array('T_ARG1' => $value[1]));
         }
     }
@@ -123,5 +123,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) != 0 && preg_match("/^[ 　\t\r\n]+$/", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_005', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_005', array('T_ARG1' => $value[0]));
         }
     }
@@ -140,5 +140,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) != 0 && preg_match("/[　 \t\r\n]+/u", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_006', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_006', array('T_ARG1' => $value[0]));
         }
     }
@@ -151,5 +151,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) != 0 && preg_match("/^[0]+[0-9]+$/", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_007', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_007', array('T_ARG1' => $value[0]));
         }
     }
@@ -168,5 +168,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) == 0) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_008', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_008', array('T_ARG1' => $value[0]));
         }
     }
@@ -186,5 +186,5 @@
         // 文字数の取得
         if ($this->arrParam[$value[2]] !== $this->arrParam[$value[3]]) {
-            $this->arrErr[$value[2]] = t('SC_CheckError_009', array('%s1' => $value[0], '%s2' => $value[1]));
+            $this->arrErr[$value[2]] = t('SC_CheckError_009', array('T_ARG1' => $value[0], 'T_ARG2' => $value[1]));
         }
     }
@@ -204,5 +204,5 @@
         // 文字数の取得
         if ($this->arrParam[$value[2]] == $this->arrParam[$value[3]]) {
-            $this->arrErr[$value[2]] = t('SC_CheckError_010', array('%s1' => $value[0], '%s2' => $value[1]));
+            $this->arrErr[$value[2]] = t('SC_CheckError_010', array('T_ARG1' => $value[0], 'T_ARG2' => $value[1]));
         }
     }
@@ -222,5 +222,5 @@
         // 文字数の取得
         if ($this->arrParam[$value[2]] != '' && $this->arrParam[$value[3]] != '' && ($this->arrParam[$value[2]] > $this->arrParam[$value[3]])) {
-            $this->arrErr[$value[2]] = t('SC_CheckError_011', array('%s1' => $value[0], '%s2' => $value[1]));
+            $this->arrErr[$value[2]] = t('SC_CheckError_011', array('T_ARG1' => $value[0], 'T_ARG2' => $value[1]));
         }
     }
@@ -240,5 +240,5 @@
         // 文字数の取得
         if (mb_strlen($this->arrParam[$value[1]]) > $value[2]) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_012', array('%s1' => $value[0], '%s2' => $value[2]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_012', array('T_ARG1' => $value[0], 'T_ARG2' => $value[2]));
         }
     }
@@ -258,5 +258,5 @@
         // 文字数の取得
         if (mb_strlen($this->arrParam[$value[1]]) < $value[2]) {
-            $this->arrErr[$value[1]] = t_plural($value[2], 'SC_CheckError_013', 'SC_CheckError_013_PLURAL', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t_plural($value[2], 'SC_CheckError_013', 'SC_CheckError_013_PLURAL', array('T_ARG1' => $value[0]));
         }
     }
@@ -276,5 +276,5 @@
         // 文字数の取得
         if ($this->arrParam[$value[1]] > $value[2]) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_014', array('%s1' => $value[0], '%s2' => $value[2]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_014', array('T_ARG1' => $value[0], 'T_ARG2' => $value[2]));
         }
     }
@@ -293,5 +293,5 @@
         $this->createParam($value);
         if ($this->arrParam[$value[1]] < $value[2]) {
-            $this->arrErr[$value[1]] = t_plural($value[2], 'SC_CheckError_015_SINGLE', 'SC_CheckError_015_PLURAL', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t_plural($value[2], 'SC_CheckError_015_SINGLE', 'SC_CheckError_015_PLURAL', array('T_ARG1' => $value[0]));
         }
     }
@@ -310,5 +310,5 @@
         $this->createParam($value);
         if ($this->numelicCheck($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_016', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_016', array('T_ARG1' => $value[0]));
         }
     }
@@ -327,5 +327,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !is_numeric($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_017', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_017', array('T_ARG1' => $value[0]));
         }
     }
@@ -337,5 +337,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !ctype_alpha($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_018', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_018', array('T_ARG1' => $value[0]));
         }
     }
@@ -372,5 +372,5 @@
         // すべての項目が満たされていない場合を判定(一部だけ入力されている状態)
         if ($cnt > 0 && $cnt < 3) {
-            $this->arrErr[$value[1]] .= t('SC_CheckError_019', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] .= t('SC_CheckError_019', array('T_ARG1' => $value[0]));
         }
 
@@ -378,7 +378,7 @@
         for ($i = 1; $i <= 3; $i++) {
             if (strlen($this->arrParam[$value[$i]]) > 0 && strlen($this->arrParam[$value[$i]]) > $telItemLen) {
-                $this->arrErr[$value[$i]] .= t('SC_CheckError_020', array('%s1' => $value[0] . $i, '%s2' => $telItemLen));
+                $this->arrErr[$value[$i]] .= t('SC_CheckError_020', array('T_ARG1' => $value[0] . $i, 'T_ARG2' => $telItemLen));
             } else if ($this->numelicCheck($this->arrParam[$value[1]])) {
-                $this->arrErr[$value[$i]] .= t('SC_CheckError_021', array('%s1' => $value[0] . $i));
+                $this->arrErr[$value[$i]] .= t('SC_CheckError_021', array('T_ARG1' => $value[0] . $i));
             }
             $total_count += strlen($this->arrParam[$value[$i]]);
@@ -387,5 +387,5 @@
         // 合計値チェック
         if ($total_count > $telLen) {
-            $this->arrErr[$value[3]] .= t('SC_CheckError_022', array('%s1' => $value[0], '%s2' => $telLen));
+            $this->arrErr[$value[3]] .= t('SC_CheckError_022', array('T_ARG1' => $value[0], 'T_ARG2' => $telLen));
         }
     }
@@ -415,5 +415,5 @@
 
         if ($blank) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_023', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_023', array('T_ARG1' => $value[0]));
         }
     }
@@ -446,5 +446,5 @@
 
         if ($blank && $input) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_024', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_024', array('T_ARG1' => $value[0]));
         }
     }
@@ -474,5 +474,5 @@
 
         if (!$input) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_025', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_025', array('T_ARG1' => $value[0]));
         }
     }
@@ -508,5 +508,5 @@
 
         if ($error) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_026', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_026', array('T_ARG1' => $value[0]));
         }
     }
@@ -521,5 +521,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^[ァ-ヶｦ-ﾟー]+$/u", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_027', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_027', array('T_ARG1' => $value[0]));
         }
     }
@@ -534,5 +534,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^([　 \t\r\n]|[ァ-ヶ]|[ー])+$/u", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_028', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_028', array('T_ARG1' => $value[0]));
         }
     }
@@ -547,5 +547,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !ctype_alnum($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_029', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_029', array('T_ARG1' => $value[0]));
         }
     }
@@ -560,5 +560,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^[[:graph:][:space:]]+$/i", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_030', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_030', array('T_ARG1' => $value[0]));
         }
     }
@@ -570,5 +570,5 @@
         $this->createParam($value);
         if ($this->arrParam[$value[1]] == '0') {
-            $this->arrErr[$value[1]] = t('SC_CheckError_031', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_031', array('T_ARG1' => $value[0]));
         }
     }
@@ -585,5 +585,5 @@
         $count = strlen($this->arrParam[$value[1]]);
         if (($count > 0) && $value[2] > $count || $value[3] < $count) {
-            $this->arrErr[$value[1]] =  t_plural($value[2], 'SC_CheckError_032_SINGLE', 'SC_CheckError_032_PLURAL', array('%s1' => $value[0], '%s2' => $value[3]));
+            $this->arrErr[$value[1]] =  t_plural($value[2], 'SC_CheckError_032_SINGLE', 'SC_CheckError_032_PLURAL', array('T_ARG1' => $value[0], 'T_ARG2' => $value[3]));
         }
     }
@@ -599,5 +599,5 @@
         $count = strlen($this->arrParam[$value[1]]);
         if (($count > 0) && $count != $value[2]) {
-            $this->arrErr[$value[1]] =  t_plural($value[2], 'SC_CheckError_033_SINGLE', 'SC_CheckError_033_PLURAL', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] =  t_plural($value[2], 'SC_CheckError_033_SINGLE', 'SC_CheckError_033_PLURAL', array('T_ARG1' => $value[0]));
         }
     }
@@ -647,5 +647,5 @@
 
         if (!preg_match($regexp, $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_034', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_034', array('T_ARG1' => $value[0]));
             return;
         }
@@ -666,5 +666,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^[a-zA-Z0-9_\.@\+\?-]+$/i",$this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_035', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_035', array('T_ARG1' => $value[0]));
         }
     }
@@ -678,5 +678,5 @@
         }
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("@^https?://+($|[a-zA-Z0-9_~=:&\?\.\/-])+$@i", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_036', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_036', array('T_ARG1' => $value[0]));
         }
     }
@@ -698,5 +698,5 @@
                 $param = trim($param);
                 if (long2ip(ip2long($param)) != trim($param) && !empty($param)) {
-                    $this->arrErr[$value[1]] = t('SC_CheckError_037', array('%s1' => $value[0]));
+                    $this->arrErr[$value[1]] = t('SC_CheckError_037', array('T_ARG1' => $value[0]));
                 }
             }
@@ -726,5 +726,5 @@
         if ($match === false) {
             $str_ext = implode('・', $value[2]);
-            $this->arrErr[$value[1]] = t('SC_CheckError_038', array('%s1' => $value[0], '%s2' => $str_ext));
+            $this->arrErr[$value[1]] = t('SC_CheckError_038', array('T_ARG1' => $value[0], 'T_ARG2' => $str_ext));
         }
     }
@@ -749,5 +749,5 @@
 
         if ($this->arrParam[$value[1]] != '' && !file_exists($path)) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_039', array('%s1' => $path));
+            $this->arrErr[$value[1]] = t('SC_CheckError_039', array('T_ARG1' => $path));
         }
     }
@@ -762,5 +762,5 @@
         $this->createParam($value);
         if (!($_FILES[$value[1]]['size'] != '' && $_FILES[$value[1]]['size'] > 0)) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_040', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_040', array('T_ARG1' => $value[0]));
         }
     }
@@ -780,5 +780,5 @@
                 $byte = 'MB';
             }
-            $this->arrErr[$value[1]] = t('SC_CheckError_041', array('%s1' => $value[0], '%s2' => $value[2], '%s3' => $byte));
+            $this->arrErr[$value[1]] = t('SC_CheckError_041', array('T_ARG1' => $value[0], 'T_ARG2' => $value[2], 'T_ARG3' => $byte));
         }
     }
@@ -793,5 +793,5 @@
         $this->createParam($value);
         if (strlen($_FILES[$value[1]]['name']) > 0 && !preg_match("/^[[:alnum:]_\.-]+$/i", $_FILES[$value[1]]['name'])) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_042', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_042', array('T_ARG1' => $value[0]));
         }
     }
@@ -806,5 +806,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^[[:alnum:]_\.-]+$/i", $this->arrParam[$value[1]]) || preg_match('/[\\]/' ,$this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_043', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_043', array('T_ARG1' => $value[0]));
         }
     }
@@ -824,7 +824,7 @@
             // 年月日のどれかが入力されていない。
             if (!(strlen($this->arrParam[$value[1]]) > 0 && strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0)) {
-                $this->arrErr[$value[1]] = t('SC_CheckError_024', array('%s1' => $value[0]));
+                $this->arrErr[$value[1]] = t('SC_CheckError_024', array('T_ARG1' => $value[0]));
             } else if (! checkdate($this->arrParam[$value[2]], $this->arrParam[$value[3]], $this->arrParam[$value[1]])) {
-                $this->arrErr[$value[1]] = t('SC_CheckError_044', array('%s1' => $value[0]));
+                $this->arrErr[$value[1]] = t('SC_CheckError_044', array('T_ARG1' => $value[0]));
             }
         }
@@ -847,7 +847,7 @@
             // 年月日時のどれかが入力されていない。
             if (!(strlen($this->arrParam[$value[1]]) > 0 && strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && strlen($this->arrParam[$value[4]]) > 0 && strlen($this->arrParam[$value[5]]) > 0)) {
-                $this->arrErr[$value[1]] = t('SC_CheckError_024', array('%s1' => $value[0]));
+                $this->arrErr[$value[1]] = t('SC_CheckError_024', array('T_ARG1' => $value[0]));
             } else if (! checkdate($this->arrParam[$value[2]], $this->arrParam[$value[3]], $this->arrParam[$value[1]])) {
-                $this->arrErr[$value[1]] = t('SC_CheckError_044', array('%s1' => $value[0]));
+                $this->arrErr[$value[1]] = t('SC_CheckError_044', array('T_ARG1' => $value[0]));
             }
         }
@@ -867,7 +867,7 @@
             // 年月日時のどれかが入力されていない。
             if (!(strlen($this->arrParam[$value[1]]) > 0 && strlen($this->arrParam[$value[2]]) > 0)) {
-                $this->arrErr[$value[1]] = t('SC_CheckError_024', array('%s1' => $value[0]));
+                $this->arrErr[$value[1]] = t('SC_CheckError_024', array('T_ARG1' => $value[0]));
             } else if (! checkdate($this->arrParam[$value[2]], 1, $this->arrParam[$value[1]])) {
-                $this->arrErr[$value[1]] = t('SC_CheckError_044', array('%s1' => $value[0]));
+                $this->arrErr[$value[1]] = t('SC_CheckError_044', array('T_ARG1' => $value[0]));
             }
         }
@@ -932,8 +932,8 @@
         $this->createParam($value);
         if ((strlen($this->arrParam[$value[2]]) > 0 || strlen($this->arrParam[$value[3]]) > 0 || strlen($this->arrParam[$value[4]]) > 0) && ! checkdate($this->arrParam[$value[3]], $this->arrParam[$value[4]], $this->arrParam[$value[2]])) {
-            $this->arrErr[$value[2]] = t('SC_CheckError_045', array('%s1' => $value[0]));
+            $this->arrErr[$value[2]] = t('SC_CheckError_045', array('T_ARG1' => $value[0]));
         }
         if ((strlen($this->arrParam[$value[5]]) > 0 || strlen($this->arrParam[$value[6]]) > 0 || strlen($this->arrParam[$value[7]]) > 0) && ! checkdate($this->arrParam[$value[6]], $this->arrParam[$value[7]], $this->arrParam[$value[5]])) {
-            $this->arrErr[$value[5]] = t('SC_CheckError_045', array('%s1' => $value[1]));
+            $this->arrErr[$value[5]] = t('SC_CheckError_045', array('T_ARG1' => $value[1]));
         }
         if ((strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && strlen($this->arrParam[$value[4]]) > 0) &&  (strlen($this->arrParam[$value[5]]) > 0 || strlen($this->arrParam[$value[6]]) > 0 || strlen($this->arrParam[$value[7]]) > 0)) {
@@ -943,5 +943,5 @@
 
             if (($this->arrErr[$value[2]] == '' && $this->arrErr[$value[5]] == '') && $date1 > $date2) {
-                $this->arrErr[$value[2]] = t('SC_CheckError_046', array('%s1' => $value[0], '%s2' => $value[1]));
+                $this->arrErr[$value[2]] = t('SC_CheckError_046', array('T_ARG1' => $value[0], 'T_ARG2' => $value[1]));
             }
         }
@@ -982,8 +982,8 @@
         $this->createParam($value);
         if ((strlen($this->arrParam[$value[2]]) > 0 || strlen($this->arrParam[$value[3]]) > 0 || strlen($this->arrParam[$value[4]]) > 0 || strlen($this->arrParam[$value[5]]) > 0) && ! checkdate($this->arrParam[$value[3]], $this->arrParam[$value[4]], $this->arrParam[$value[2]])) {
-            $this->arrErr[$value[2]] = t('SC_CheckError_045', array('%s1' => $value[0]));
+            $this->arrErr[$value[2]] = t('SC_CheckError_045', array('T_ARG1' => $value[0]));
         }
         if ((strlen($this->arrParam[$value[8]]) > 0 || strlen($this->arrParam[$value[9]]) > 0 || strlen($this->arrParam[$value[10]]) > 0 || strlen($this->arrParam[$value[11]]) > 0) && ! checkdate($this->arrParam[$value[9]], $this->arrParam[$value[10]], $this->arrParam[$value[8]])) {
-            $this->arrErr[$value[8]] = t('SC_CheckError_045', array('%s1' => $value[1]));
+            $this->arrErr[$value[8]] = t('SC_CheckError_045', array('T_ARG1' => $value[1]));
         }
         if ((strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && strlen($this->arrParam[$value[4]]) > 0 && strlen($this->arrParam[$value[5]]) > 0) &&  (strlen($this->arrParam[$value[8]]) > 0 || strlen($this->arrParam[$value[9]]) > 0 || strlen($this->arrParam[$value[10]]) > 0 || strlen($this->arrParam[$value[11]]) > 0)) {
@@ -993,8 +993,8 @@
 
             if (($this->arrErr[$value[2]] == '' && $this->arrErr[$value[8]] == '') && $date1 > $date2) {
-                $this->arrErr[$value[2]] = t('SC_CheckError_046', array('%s1' => $value[0], '%s2' => $value[1]));
+                $this->arrErr[$value[2]] = t('SC_CheckError_046', array('T_ARG1' => $value[0], 'T_ARG2' => $value[1]));
             }
             if ($date1 == $date2) {
-                $this->arrErr[$value[2]] = t('SC_CheckError_046', array('%s1' => $value[0], '%s2' => $value[1]));
+                $this->arrErr[$value[2]] = t('SC_CheckError_046', array('T_ARG1' => $value[0], 'T_ARG2' => $value[1]));
             }
 
@@ -1025,8 +1025,8 @@
         $this->createParam($value);
         if ((strlen($this->arrParam[$value[2]]) > 0 || strlen($this->arrParam[$value[3]]) > 0) && ! checkdate($this->arrParam[$value[3]], 1, $this->arrParam[$value[2]])) {
-            $this->arrErr[$value[2]] = t('SC_CheckError_045', array('%s1' => $value[0]));
+            $this->arrErr[$value[2]] = t('SC_CheckError_045', array('T_ARG1' => $value[0]));
         }
         if ((strlen($this->arrParam[$value[4]]) > 0 || strlen($this->arrParam[$value[5]]) > 0) && ! checkdate($this->arrParam[$value[5]], 1, $this->arrParam[$value[4]])) {
-            $this->arrErr[$value[4]] = t('SC_CheckError_045', array('%s1' => $value[1]));
+            $this->arrErr[$value[4]] = t('SC_CheckError_045', array('T_ARG1' => $value[1]));
         }
         if ((strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && (strlen($this->arrParam[$value[4]]) > 0 || strlen($this->arrParam[$value[5]]) > 0))) {
@@ -1036,5 +1036,5 @@
 
             if (($this->arrErr[$value[2]] == '' && $this->arrErr[$value[5]] == '') && $date1 > $date2) {
-                $this->arrErr[$value[2]] = t('SC_CheckError_046', array('%s1' => $value[0], '%s2' => $value[1]));
+                $this->arrErr[$value[2]] = t('SC_CheckError_046', array('T_ARG1' => $value[0], 'T_ARG2' => $value[1]));
             }
         }
@@ -1048,5 +1048,5 @@
         $this->createParam($value);
         if (!is_dir($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_047', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_047', array('T_ARG1' => $value[0]));
         }
     }
@@ -1058,5 +1058,5 @@
         }
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^\.[^.]+\..+/i", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_048', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_048', array('T_ARG1' => $value[0]));
         }
     }
@@ -1072,5 +1072,5 @@
         $objMobile = new SC_Helper_Mobile_Ex();
         if (strlen($this->arrParam[$value[1]]) > 0 && !$objMobile->gfIsMobileMailAddress($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_049', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_049', array('T_ARG1' => $value[0]));
         }
     }
@@ -1093,8 +1093,8 @@
         switch ($register_user_flg) {
             case 1:
-                $this->arrErr[$value[1]] .= t('SC_CheckError_050', array('%s1' => $value[0]));
+                $this->arrErr[$value[1]] .= t('SC_CheckError_050', array('T_ARG1' => $value[0]));
                 break;
             case 2:
-                $this->arrErr[$value[1]] .= t('SC_CheckError_051', array('%s1' => $value[0]));
+                $this->arrErr[$value[1]] .= t('SC_CheckError_051', array('T_ARG1' => $value[0]));
                 break;
             default:
@@ -1120,5 +1120,5 @@
         $pattern = '/' . join('|', $prohibitedStr) . '/i';
         if (preg_match_all($pattern, $targetStr, $matches = array())) {
-            $this->arrErr[$value[1]] = t('SC_CheckError_052', array('%s1' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_052', array('T_ARG1' => $value[0]));
         }
     }
@@ -1137,5 +1137,5 @@
         $this->createParam($value);
         if ($this->evalCheck($value[1]) === false) {
-            $this->arrErr[$value[0]] = t('SC_CheckError_053', array('%s1' => $value[0]));
+            $this->arrErr[$value[0]] = t('SC_CheckError_053', array('T_ARG1' => $value[0]));
         }
     }
Index: /branches/version-2_12-multilang/data/class/SC_Initial.php
===================================================================
--- /branches/version-2_12-multilang/data/class/SC_Initial.php	(revision 22435)
+++ /branches/version-2_12-multilang/data/class/SC_Initial.php	(revision 22453)
@@ -190,5 +190,5 @@
 
             $mtb_constants = file_get_contents(CACHE_REALDIR . '../mtb_constants_init.php');
-            $errorMessage = t('SC_Initial_001', array('%s1' => CACHE_REALDIR), array('device_type_id' => FALSE));
+            $errorMessage = t('SC_Initial_001', array('T_ARG1' => CACHE_REALDIR), array('device_type_id' => FALSE));
             if (is_writable(CACHE_REALDIR)) {
                 $handle = fopen(CACHE_REALDIR . 'mtb_constants.php', 'w');
@@ -206,5 +206,5 @@
             }
         } else {
-            die(t('SC_Initial_002', array('%s1' => CACHE_REALDIR), array('device_type_id' => FALSE)));
+            die(t('SC_Initial_002', array('T_ARG1' => CACHE_REALDIR), array('device_type_id' => FALSE)));
         }
     }
Index: /branches/version-2_12-multilang/data/class/SC_SendMail.php
===================================================================
--- /branches/version-2_12-multilang/data/class/SC_SendMail.php	(revision 22435)
+++ /branches/version-2_12-multilang/data/class/SC_SendMail.php	(revision 22453)
@@ -280,5 +280,5 @@
         if (PEAR::isError($result)) {
             // XXX Windows 環境では SJIS でメッセージを受け取るようなので変換する。
-            $tokens = array('%s1' => mb_convert_encoding($result->getMessage(), CHAR_CODE, 'auto'));
+            $tokens = array('T_ARG1' => mb_convert_encoding($result->getMessage(), CHAR_CODE, 'auto'));
             $msg = t('SC_SendMail_003', $tokens);
             trigger_error($msg, E_USER_WARNING);
@@ -333,5 +333,5 @@
 
             default:
-                trigger_error(t('SC_SendMail_002', array('%s1' => var_export($backend, true))), E_USER_ERROR);
+                trigger_error(t('SC_SendMail_002', array('T_ARG1' => var_export($backend, true))), E_USER_ERROR);
                 exit;
         }
Index: /branches/version-2_12-multilang/data/class/SC_CartSession.php
===================================================================
--- /branches/version-2_12-multilang/data/class/SC_CartSession.php	(revision 22435)
+++ /branches/version-2_12-multilang/data/class/SC_CartSession.php	(revision 22453)
@@ -534,5 +534,5 @@
                 $arrDeliv = SC_Helper_Purchase_Ex::getDeliv($productTypeId);
                 if (SC_Utils_Ex::isBlank($arrDeliv)) {
-                    $tpl_message .= t('SC_CartSession_003', array('%s1' => $product['name']));
+                    $tpl_message .= t('SC_CartSession_003', array('T_ARG1' => $product['name']));
                     $this->delProduct($arrItem['cart_no'], $productTypeId);
                 }
@@ -547,8 +547,8 @@
                         $total_inctax = SC_Helper_DB_Ex::sfCalcIncTax($arrItem['price']) * $limit;
                         $this->setProductValue($arrItem['id'], 'total_inctax', $total_inctax, $productTypeId);
-                        $tpl_message .= t('SC_CartSession_004', array('%s1' => $product['name'], '%s2' => $limit));
+                        $tpl_message .= t('SC_CartSession_004', array('T_ARG1' => $product['name'], 'T_ARG2' => $limit));
                     } else {
                         $this->delProduct($arrItem['cart_no'], $productTypeId);
-                        $tpl_message .= t('SC_CartSession_005', array('%s1' => $product['name']));
+                        $tpl_message .= t('SC_CartSession_005', array('T_ARG1' => $product['name']));
                         continue;
                     }
Index: /branches/version-2_12-multilang/html/install/index.php
===================================================================
--- /branches/version-2_12-multilang/html/install/index.php	(revision 22437)
+++ /branches/version-2_12-multilang/html/install/index.php	(revision 22453)
@@ -63,5 +63,5 @@
 
 if (!is_writable($temp_dir)) {
-    SC_Utils_Ex::sfErrorHeader(t('LC_Page_Install_001', array('%s1' => $temp_dir)), true);
+    SC_Utils_Ex::sfErrorHeader(t('LC_Page_Install_001', array('T_ARG1' => $temp_dir)), true);
     exit;
 }
@@ -349,5 +349,5 @@
                 if (is_dir($path)) {
                     if (!is_writable($path)) {
-                        $mess .= t('LC_Page_Install_012', array('%s1' => $real_path, '%s2' => $filemode));
+                        $mess .= t('LC_Page_Install_012', array('T_ARG1' => $real_path, 'T_ARG2' => $filemode));
                         $hasErr = true;
                     } else {
@@ -356,5 +356,5 @@
                 } else {
                     if (!is_writable($path)) {
-                        $mess .= t('LC_Page_Install_013', array('%s1' => $real_path, '%s2' => $filemode));
+                        $mess .= t('LC_Page_Install_013', array('T_ARG1' => $real_path, 'T_ARG2' => $filemode));
                         $hasErr = true;
                     } else {
@@ -363,5 +363,5 @@
                 }
             } else {
-                $mess .= t('LC_Page_Install_014', array('%s1' => $path));
+                $mess .= t('LC_Page_Install_014', array('T_ARG1' => $path));
                 $hasErr = true;
             }
@@ -1116,5 +1116,5 @@
     }
     if (!rename(HTML_REALDIR . $oldAdminDir, HTML_REALDIR . $adminDir)) {
-        return  t('LC_Page_Install_048', array('%s1' => HTML_REALDIR . $adminDir));
+        return  t('LC_Page_Install_048', array('T_ARG1' => HTML_REALDIR . $adminDir));
     }
     return true;
